<?php
/**
 * 
 * @package aowp.aspect.joinpoint
 */
/**
 * 
 * @author keiji
 * @package aowp.aspect.joinpoint
 *
 */
class AOWP_ScriptExecutionJoinPoint extends AOWP_JoinPoint {

	public function __construct(AOWP_PHPRootElement $element = null, $fileName = null) {
		parent::__construct($element, $fileName);
	}
	
	public function proceed(array $argumentArray = array()) {
		if ($this->_proceedFunctionName !== null) {
			return call_user_func_array($this->_proceedFunctionName, $argumentArray);
		}
	}
}
?>